﻿Imports AxWPRDCLib

Public Class FormWpRdcDemo

 
     
    ''' <summary>
    ''' 连接主机
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub buttonConn_Click(sender As System.Object, e As System.EventArgs) Handles buttonConn.Click
        AxWpRdc1.Host = textBoxHost.Text.Trim()                             '设置主机
        AxWpRdc1.Port = Convert.ToInt32(textBoxPort.Text)                   '设置端口
        AxWpRdc1.SetPassword(textBoxPassword.Text)                          '设置密码
        AxWpRdc1.IsRepeater = checkBoxIsRepeater.Checked                    '设置是否中继模式
        AxWpRdc1.RepeaterId = Convert.ToInt32(textBoxRepeaterId.Text)       '设置中继ID
        AxWpRdc1.Connect()                                                  '连接主机
    End Sub

    ''' <summary>
    ''' 断开连接
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub buttonDisconn_Click(sender As System.Object, e As System.EventArgs) Handles buttonDisconn.Click
        AxWpRdc1.Disconnect()
    End Sub

    ''' <summary>
    ''' 连接断开事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnDisconnected(sender As System.Object, e As System.EventArgs) Handles AxWpRdc1.OnDisconnected
        AddLog("OnDisconnected")
    End Sub

    ''' <summary>
    ''' 正在连接事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnConnecting(sender As System.Object, e As System.EventArgs) Handles AxWpRdc1.OnConnecting
        AddLog("OnConnecting")
    End Sub

    ''' <summary>
    ''' 已经连接事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnConnected(sender As System.Object, e As System.EventArgs) Handles AxWpRdc1.OnConnected
        AddLog("OnConnected")
    End Sub

    ''' <summary>
    ''' 验证取消事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnAuthCancelled(sender As System.Object, e As System.EventArgs) Handles AxWpRdc1.OnAuthCancelled
        AddLog("OnAuthCancelled")
    End Sub

    ''' <summary>
    ''' 验证失败事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnAuthFailured(sender As System.Object, e As System.EventArgs) Handles AxWpRdc1.OnAuthFailured
        AddLog("OnAuthFailured")
    End Sub

    ''' <summary>
    ''' 错误事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRdc1_OnError(sender As System.Object, e As AxWPRDCLib._DWpRdcEvents_OnErrorEvent) Handles AxWpRdc1.OnError
        AddLog("OnError")
    End Sub

    ''' <summary>
    ''' 添加到日志输出
    ''' </summary>
    ''' <param name="msg"></param>
    ''' <remarks></remarks>
    Private Sub AddLog(ByVal msg As String)
        textBoxLog.AppendText(msg & vbCrLf)
    End Sub


    Private Sub FormWpRdcDemo_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class
