﻿''' <summary>
''' 伟鹏科技远程协助，服务端控件演示
''' 官方网址:http://www.semot.com
''' </summary>
''' <remarks></remarks>
Public Class FormWpRdsDemo

    ''' <summary>
    ''' 开启服务端
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub btnStart_Click(sender As System.Object, e As System.EventArgs) Handles btnStart.Click
        AxWpRds1.ListenPort = 6688
        AxWpRds1.SetPassword(textBoxPassword.Text)
        AxWpRds1.Start()
    End Sub


    ''' <summary>
    ''' 停止服务端
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub btnStop_Click(sender As System.Object, e As System.EventArgs) Handles btnStop.Click
        AxWpRds1.Stop()
    End Sub

    ''' <summary>
    ''' 客户端连接事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnClientConnect(sender As System.Object, e As AxWPRDSLib._DWpRdsEvents_OnClientConnectEvent) Handles AxWpRds1.OnClientConnect
        AddLog("OnClientConnect")
    End Sub

    ''' <summary>
    ''' 客户端断开事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnClientDisconnect(sender As System.Object, e As AxWPRDSLib._DWpRdsEvents_OnClientDisconnectEvent) Handles AxWpRds1.OnClientDisconnect
        AddLog("OnClientDisconnect")
    End Sub

    ''' <summary>
    ''' 客户端连接中继服务器事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnConnectRepeater(sender As System.Object, e As AxWPRDSLib._DWpRdsEvents_OnConnectRepeaterEvent) Handles AxWpRds1.OnConnectRepeater
        AddLog("OnConnectRepeater")
    End Sub

    ''' <summary>
    ''' 错误事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnError(sender As System.Object, e As AxWPRDSLib._DWpRdsEvents_OnErrorEvent) Handles AxWpRds1.OnError
        AddLog("OnError")
    End Sub


    ''' <summary>
    ''' 监听开启事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnListen(sender As System.Object, e As System.EventArgs) Handles AxWpRds1.OnListen
        AddLog("OnListen")
    End Sub

    ''' <summary>
    ''' 服务端开始事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnStart(sender As System.Object, e As System.EventArgs) Handles AxWpRds1.OnStart
        AddLog("OnStart")
    End Sub

    ''' <summary>
    ''' 服务停止事件
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub AxWpRds1_OnStop(sender As System.Object, e As System.EventArgs) Handles AxWpRds1.OnStop
        AddLog("OnStop")
    End Sub


    ''' <summary>
    ''' 日志输出
    ''' </summary>
    ''' <param name="msg"></param>
    ''' <remarks></remarks>
    Private Sub AddLog(ByVal msg As String)
        textBoxLog.AppendText(msg & vbCrLf)
    End Sub

End Class
